Merge pull request #64 from thetechprepper/misc/post-r5-build14-updates

Merge misc/post-r5-build14-updates to release/r5
This commit is contained in:
thetechprepper
2025-11-12 20:23:00 -07:00
committed by GitHub
5 changed files with 30 additions and 7 deletions
+11 -3
View File
@@ -1,12 +1,19 @@
#!/bin/bash #!/bin/bash
# Author : Gaston Gonzalez # Author : Gaston Gonzalez
# Date : 8 November 2024 # Date : 8 November 2024
# Updated : 26 March 2025 # Updated : 12 November 2025
# Purpose : Install Linbpq # Purpose : Install Linbpq
# #
# Notes: # Notes:
# These build steps are partially based on an article by the Modern Ham (KN4MKB). # These build steps are partially based on an article by the Modern Ham (KN4MKB).
# https://themodernham.com/install-linbpq-bbs-packet-node-on-debian-ubuntu-and-raspbian/ # https://themodernham.com/install-linbpq-bbs-packet-node-on-debian-ubuntu-and-raspbian/
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
VERSION=latest VERSION=latest
FILE=linbpq FILE=linbpq
@@ -26,7 +33,8 @@ BBS_HOME="/etc/skel/.local/share/emcomm-tools/bbs-server"
BBS_HOME_FILES="${BBS_HOME}/Files" BBS_HOME_FILES="${BBS_HOME}/Files"
et-log "Downloading web interface for LinBPQ from ${HTML_ZIP_URL}" et-log "Downloading web interface for LinBPQ from ${HTML_ZIP_URL}"
curl -s -f -L -o ${HTML_ZIP_FILE} ${HTML_ZIP_URL} download_with_retries ${HTML_ZIP_URL} ${HTML_ZIP_FILE}
if [[ $? -eq 0 ]]; then if [[ $? -eq 0 ]]; then
@@ -61,7 +69,7 @@ URL="https://www.cantab.net/users/john.wiseman/Downloads/${FILE}"
if [ ! -e ${FILE} ]; then if [ ! -e ${FILE} ]; then
et-log "Downloading Linbpq: ${URL}" et-log "Downloading Linbpq: ${URL}"
curl -s -L -o ${FILE} --fail ${URL} download_with_retries ${URL} ${FILE}
fi fi
[ ! -e ${INSTALL_BIN_DIR} ] && mkdir -v -p ${INSTALL_BIN_DIR} [ ! -e ${INSTALL_BIN_DIR} ] && mkdir -v -p ${INSTALL_BIN_DIR}
+3 -1
View File
@@ -2,12 +2,14 @@
# #
# Author : Gaston Gonzalez # Author : Gaston Gonzalez
# Date : 4 December 2024 # Date : 4 December 2024
# Updated : 12 November 2025
# Purpose : Install chattervox protocol # Purpose : Install chattervox protocol
set -e set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh . ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
NAME=chattervox NAME=chattervox
VERSION=0.7.0 VERSION=0.7.0
@@ -20,7 +22,7 @@ et-log "Installing ${NAME} ${VERSION}..."
URL=https://github.com/brannondorsey/chattervox/releases/download/v${VERSION}/chattervox-linux-x64.tar.gz URL=https://github.com/brannondorsey/chattervox/releases/download/v${VERSION}/chattervox-linux-x64.tar.gz
et-log "Downloading: ${URL}" et-log "Downloading: ${URL}"
curl -s -L -o ${TARBALL} --fail ${URL} download_with_retries ${URL} ${TARBALL}
CWD_DIR=`pwd` CWD_DIR=`pwd`
+1 -1
View File
@@ -11,7 +11,7 @@ trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ../overlay/opt/emcomm-tools/bin/et-common . ../overlay/opt/emcomm-tools/bin/et-common
APP=et-api APP=et-api
VERSION=1.1.0 VERSION=1.1.1
ET_API_JAR="emcomm-tools-api-${VERSION}.jar" ET_API_JAR="emcomm-tools-api-${VERSION}.jar"
BASE_URL="https://github.com/thetechprepper/et-api-java/releases/download/${VERSION}" BASE_URL="https://github.com/thetechprepper/et-api-java/releases/download/${VERSION}"
+8 -2
View File
@@ -1,8 +1,14 @@
#!/bin/bash #!/bin/bash
# Author : Gaston Gonzalez # Author : Gaston Gonzalez
# Date : 3 November 2024 # Date : 3 November 2024
# Updated : 7 November 2024 # Updated : 12 November 2024
# Purpose : Install YAAC # Purpose : Install YAAC
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
VERSION=latest VERSION=latest
ZIP_FILE=YAAC.zip ZIP_FILE=YAAC.zip
@@ -14,7 +20,7 @@ et-log "Installing YAAC..."
URL=https://www.ka2ddo.org/ka2ddo/${ZIP_FILE} URL=https://www.ka2ddo.org/ka2ddo/${ZIP_FILE}
et-log "Downloading YAAC: ${URL}" et-log "Downloading YAAC: ${URL}"
curl -s -L -o ${ZIP_FILE} --fail ${URL} download_with_retries ${URL} ${ZIP_FILE}
mv -v ${ZIP_FILE} ${ET_DIST_DIR} mv -v ${ZIP_FILE} ${ET_DIST_DIR}
+7
View File
@@ -0,0 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 12 November 2025
# Purpose : Test et-predict installation
OUT=$(which et-predict-app)
exit $?